Page MenuHomePhabricator

Parser.php should be split into a base class and a parser implementation
Open, Needs TriagePublic

Description

A number of the methods in Parser.php are helper methods, or getters/setters for common parser state. These should be moved to a base class (which will keep the Parser.php name), and actual implementation of the parse (the handle* functions) should be moved to a subclass, LegacyParser.php. The factory should be changed to create a LegacyParser by default.

Event Timeline

cscott created this task.Oct 29 2019, 4:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2019, 4:18 PM
ssastry edited projects, added Parsoid; removed Parsoid-PHP.Nov 5 2019, 5:53 PM
ssastry removed a subscriber: Parsing-Team--ARCHIVED.
LGoto moved this task from Needs Triage to Backlog on the Parsoid board.Feb 15 2020, 12:05 AM
LGoto moved this task from Backlog to Non-Parsing-Team Tasks on the Parsoid board.Feb 21 2020, 5:26 PM
xSavitar closed this task as Invalid.Jul 16 2020, 10:34 PM
xSavitar added subscribers: Krinkle, xSavitar.
This comment was removed by xSavitar.
xSavitar reopened this task as Open.Jul 16 2020, 10:34 PM

Oops, closed the wrong ticket! Sorry!

Change 605687 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Clarify uses of legacy Parser objects

https://gerrit.wikimedia.org/r/605687

Change 605687 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Clarify uses of legacy Parser objects

https://gerrit.wikimedia.org/r/605687

Change 622176 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176

Change 622176 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176